FileExporter: Actually pass the current URL through to the $wgFileExporterTarget
Closed, ResolvedPublic

Description

Currently the FileExporter extensions simply redirects the user to the landing pages of the FileImporter.
The extension also needs to pass through the current URL using the parameter expected by the FileImporter.

This will likely be done in the FileExporterHooks class

Addshore created this task.Mar 21 2017, 6:20 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 21 2017, 6:20 PM
Addshore updated the task description. (Show Details)Mar 21 2017, 6:20 PM
Addshore renamed this task from FileExporter: Actually pass the currently URL through to the $wgFileExporterTarget to FileExporter: Actually pass the currentl URL through to the $wgFileExporterTarget.Mar 23 2017, 10:01 AM

Change 344334 had a related patch set uploaded (by Addshore):
[mediawiki/extensions/FileExporter@master] Actually pass the currentl URL

https://gerrit.wikimedia.org/r/344334

Restricted Application added a project: User-Addshore. · View Herald TranscriptMar 23 2017, 10:02 AM

Change 344334 merged by jenkins-bot:
[mediawiki/extensions/FileExporter@master] Actually pass the current URL

https://gerrit.wikimedia.org/r/344334

Addshore renamed this task from FileExporter: Actually pass the currentl URL through to the $wgFileExporterTarget to FileExporter: Actually pass the current URL through to the $wgFileExporterTarget.May 11 2017, 8:50 AM
Addshore closed this task as Resolved.
Restricted Application added a project: TCB-Team. · View Herald TranscriptJun 13 2017, 2:49 PM